%global plugin_name branch-api

Summary:    Provides an API for multiple branch based projects
Name:       jenkins-plugin-%{plugin_name}
Version:    1.10
Release:    1%{?dist}
License:    MIT
URL:        https://github.com/jenkinsci/branch-api-plugin
# AltURL:   https://wiki.jenkins-ci.org/display/JENKINS/Branch+Api+Plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.625.1

%description
This plugin provides an API for multiple branch based projects.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.10-1
- Initial package
